Endpoints
Events
Copy page
Application-level event ingest and webhook delivery
Log Event
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication. Use this for API clients and service-to-service communication. Set the Authorization header to "Bearer ".
In: header
Request Body
application/json
agentId?string
conversationId?string
id?string
Resource identifier
Match
^[a-zA-Z0-9\-_.]+$Length
1 <= length <= 255messageId?string
metadata?
properties?
type*string
Length
1 <= lengthuserProperties?
Response Body
application/json
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.pilot.inkeep.com/run/v1/events" \ -H "Content-Type: application/json" \ -d '{ "type": "string" }'{
"data": {
"agentId": "string",
"conversationId": "string",
"createdAt": "string",
"id": "string",
"messageId": "string",
"metadata": "string",
"properties": "string",
"serverMetadata": "string",
"type": "string",
"updatedAt": "string",
"userProperties": "string"
}
}{
"data": {
"agentId": "string",
"conversationId": "string",
"createdAt": "string",
"id": "string",
"messageId": "string",
"metadata": "string",
"properties": "string",
"serverMetadata": "string",
"type": "string",
"updatedAt": "string",
"userProperties": "string"
}
}{
"code": "bad_request",
"detail": "Bad Request",
"instance": "/conversations/123",
"requestId": "req_1234567890",
"status": 400,
"title": "Bad Request",
"error": {
"code": "bad_request",
"message": "Bad Request"
}
}{
"code": "unauthorized",
"detail": "Unauthorized",
"instance": "/conversations/123",
"requestId": "req_1234567890",
"status": 401,
"title": "Unauthorized",
"error": {
"code": "unauthorized",
"message": "Unauthorized"
}
}{
"code": "forbidden",
"detail": "Forbidden",
"instance": "/conversations/123",
"requestId": "req_1234567890",
"status": 403,
"title": "Forbidden",
"error": {
"code": "forbidden",
"message": "Forbidden"
}
}{
"code": "unprocessable_entity",
"detail": "Unprocessable Entity",
"instance": "/conversations/123",
"requestId": "req_1234567890",
"status": 422,
"title": "Unprocessable Entity",
"error": {
"code": "unprocessable_entity",
"message": "Unprocessable Entity"
}
}{
"code": "internal_server_error",
"detail": "Internal Server Error",
"instance": "/conversations/123",
"requestId": "req_1234567890",
"status": 500,
"title": "Internal Server Error",
"error": {
"code": "internal_server_error",
"message": "Internal Server Error"
}
}